| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
Digikam::MetadataSelectorView Class Reference
Inheritance diagram for Digikam::MetadataSelectorView:

## Public Types
enum | Backend { Exiv2Backend = 0 , ExifToolBackend }
enum | ControlElement { SelectAllBtn = 0x01 , ClearBtn = 0x02 , DefaultBtn = 0x04 , SearchBar = 0x08 }
typedef QFlags< ControlElement > | ControlElements

## Public Member Functions
| MetadataSelectorView (QWidget *const parent, Backend be)
Backend | backend () const
QStringList | checkedTagsList () const
void | clearSelection ()
QStringList | defaultFilter () const
int | itemsCount () const
void | selectAll ()
void | selectDefault ()
void | setcheckedTagsList (const QStringList &list)
void | setControlElements (ControlElements controllerMask)
void | setDefaultFilter (const QStringList &list)
void | setTagsMap (const DMetadata::TagsMap &map)